# Interface TypeTypeContract

Type of a contract type

#### Category

Special container types (debugger-only)

#### Hierarchy

- TypeTypeContract

- Defined in codec/lib/format/types.ts:605

#####
Index

### Properties

stateVariableTypes?
type
typeClass

## Properties

### `Optional` stateVariableTypes

stateVariableTypes?: NameTypePair[]

these must be in order, and must only include non-inherited state variables

- Defined in codec/lib/format/types.ts:612

### type

type: ContractTypeNative

- Defined in codec/lib/format/types.ts:607

### typeClass

typeClass: "type"

- Defined in codec/lib/format/types.ts:606

Generated using TypeDoc